/ lang / replace
Replace$
Syntax

    Result = Replace$ ( String , Pattern , ReplaceString [ , Comparison ] )
    Result = Replace ( String , Pattern , ReplaceString [ , Comparison ] )

Replaces every occurrence of the Pattern string in the String string by the ReplaceString string , and returns the result.

If String is null, then a null string is returned.

If Pattern is null, then String is returned.

Comparison can be one of the following value:

- gb.Binary for a binary comparison (the default).
- gb.Text or gb.Case for a case-insensitive comparison.

### Examples

    PRINT Replace$("Gambas is a cool basic", "bas", "BAS")
    <hr>GamBAS is a cool BASic

    PRINT Replace$("Gambas is a cool basic", "a", "")
    <hr>Gmbs is  cool bsic

    PRINT Replace$("Gambas is a cool basic", " ", "--")
    <hr>Gambas--is--a--cool--basic

### See also

String Functions